<?php
/**
 * @file
 * Epc Geg administration form definition.
 */

/**
 * Administration form definition.
 *
 * @return mixed
 *   The form array.
 */
function epcgeg_admin_form() {
  $form = array();
  $form['epc'] = array(
    '#type' => 'fieldset',
    '#name' => 'epc_settings',
    '#title' => t('EPC settings'),
    '#collapsible' => TRUE,
    '#collapsed' => FALSE,
  );

  $marks = array(
    'A' => 50,
    'B' => 90,
    'C' => 150,
    'D' => 230,
    'E' => 330,
    'F' => 450,
  );
  foreach ($marks as $mark => $value) {
    $form['epc']['epcgeg_epc_' . $mark] = array(
      '#type' => 'textfield',
      '#title' => t('@mark max value', array('@mark' => $mark)),
      '#description' => t('The max value for the @mark mark.', array('@mark' => $mark)),
      '#default_value' => variable_get('epcgeg_epc_' . $mark, $value),
    );
  }

  $form['geg'] = array(
    '#type' => 'fieldset',
    '#name' => 'geg_settings',
    '#title' => t('GEG settings'),
    '#collapsible' => TRUE,
    '#collapsed' => FALSE,
  );
  $marks = array(
    'A' => 5,
    'B' => 10,
    'C' => 20,
    'D' => 35,
    'E' => 55,
    'F' => 80,
  );
  foreach ($marks as $mark => $value) {
    $form['geg']['epcgeg_geg_' . $mark] = array(
      '#type' => 'textfield',
      '#title' => t('@mark max value', array('@mark' => $mark)),
      '#description' => t('The max value for the @mark mark.', array('@mark' => $mark)),
      '#default_value' => variable_get('epcgeg_geg_' . $mark, $value),
    );
  }
  return system_settings_form($form);
}
