<?php
/**
 * @file
 * Geg formatter template.
 */

$geg = new EpcgegGeg($score, $width, $height, 5);
$data = $geg->getData();
?>

<div class="epcgeg">
  <div class="info">
    <em><?php print (t('Low GEG emission')) ?></em>
  </div>
  <svg class="geg" width="<?php print ($width) ?>"
       height="<?php print ($height) ?>"
       version="1.1" xmlns:xlink="http://www.w3.org/1999/xlink">

    <rect class="score" x="<?php print ($data['score']['x']) ?>"
          y="<?php print ($data['score']['y']) ?>"
          height="<?php print ($data['score']['height']) ?>"
          width="<?php print ($data['score']['width']) ?>"/>
    <text x="<?php print ($data['score']['label']['x']) ?>"
          y="<?php print ($data['score']['label']['y']) ?>"
          font-size="<?php print ($data['score']['label']['size']) ?>"
          fill="#000000"
          text-anchor="end"
          alignment-baseline="middle"
          font-family="Arial Narrow, sans-serif"
          font-weight="bold"><?php print ($score) ?>
    </text>

    <?php foreach ($data['bars'] as $key => $bar): ?>
      <polygon class="<?php print ($bar['letter']['label']) ?>"
               points="<?php print ($bar['polygon']) ?>"></polygon>
      <text x="<?php print ($bar['letter']['x']) ?>"
            y="<?php print ($bar['letter']['y']) ?>"
            font-size="<?php print ($bar['letter']['size']) ?>"
            fill="#000000"
            alignment-baseline="middle"
            text-anchor="end"
            font-family="Arial Narrow, sans-serif"
            font-weight="bold"><?php print ($bar['letter']['label']) ?>
      </text>
      <text x="<?php print ($bar['legend']['x']) ?>"
            y="<?php print ($bar['legend']['y']) ?>"
            fill="#000000"
            text-anchor="start"
            alignment-baseline="middle"
            font-size="<?php print ($bar['legend']['size']) ?>"
            font-family="Arial Narrow, sans-serif">
        <?php print ($bar['legend']['label']) ?>
      </text>
    <?php endforeach; ?>
  </svg>
  <div class="info">
    <em><?php print (t('Strong GEG emission')) ?></em>
    <div class="legend">
      <?php print (t('kg/m².year')) ?>
    </div>
  </div>
</div>
